RANDOM(7)

NAME

random - randomizes the order of address records

DESCRIPTION

The random handler will act as a "load balancer" by randomizing the order of address (A/AAAA) records in the answer section.

See Wikipedia ⟨https://en.wikipedia.org/wiki/Round-robin_DNS⟩ about the pros and cons of this setup. It will take care to sort any CNAMEs before any address records, because some stub resolver implementations (like glibc) are particular about that.

SYNTAX

    random [POLICY]

•   POLICY is the policy to use, when not given it defaults to random.